Bug 2003365 - gnome software doesn't let me install/remove things
Summary: gnome software doesn't let me install/remove things
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-11 14:39 UTC by 247
Modified: 2021-09-20 13:55 UTC (History)
4 users (show)

Fixed In Version: gnome-software-41~rc-2.fc35 gnome-software-40.4-3.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-16 23:54:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-software - merge_requests 978 0 None None None 2021-09-13 13:09:26 UTC

Description 247 2021-09-11 14:39:48 UTC
Description of problem:

everytime i try to remove or install something that requires a policykit password prompt, gnome software says i don't have the persmission to do the action and i can't continue
this while dnf localinstall and remove works flawlessy

Version-Release number of selected component (if applicable):

gnome-software 40

How reproducible:

open gnome software, unistall something and see the banner for not having the permission to appear
or
download an rpm, double click on it, then select install (or remove if already installed) to see the same banner


Actual results:

can't install/remove things

Expected results:

i would expect to be possible to install or remove an application

Additional info:

I'm saying gnome software, but it might be related to policykit or some other security component
one other things to note is that i deleted my login keyring and seahorse didn' ask me to create a new one on reboot

if needed this is the journalctl log for when the notification appear

"ago 23 15:04:07 fedora PackageKit[1448]: uid 1000 is trying to obtain org.freedesktop.packagekit.package-remove auth (only_trusted:0)
ago 23 15:04:07 fedora PackageKit[1448]: uid 1000 failed to obtain auth"

Comment 1 Milan Crha 2021-09-13 10:48:10 UTC
Thanks for a bug report. This is closely related to the bug #2002609, though I'm afraid the fix from there won't work here, that would need more changes. I'm not sure on which part yet.

Comment 2 247 2021-09-13 11:03:19 UTC
ok thank you, i guess you want to have a look on here also...

https://ask.fedoraproject.org/t/cant-install-software-with-gnome-software/16186/22

Comment 3 Milan Crha 2021-09-13 13:09:26 UTC
I created a merge request for the gnome-software here:
https://gitlab.gnome.org/GNOME/gnome-software/-/merge_requests/978
which fixes it for me. I'll create an update for Fedora with it included.

Comment 4 Milan Crha 2021-09-13 13:45:39 UTC
I tried to reproduce this with , but I cannot; I am asked for the root/admin credentials when I install/uninstall RPM softare. I can reproduce with the current development version.

Could you give a try to this [1] scratch build and report back, pleas? Make sure you restart the gnome-software process, which is running in the background. It can be done for example by running:

   $ gnome-software --quit && gnome-software

The process should not stop immediately, otherwise it passed the execution to the background process. It's possible it'll start working after you restart gnome-software, without installing the test package.

I think the proposed fix is fine also for the f34, I only cannot verify it myself.

Comment 5 Milan Crha 2021-09-13 13:46:49 UTC
Err, I'm sorry, the link for the scratch build is:

[1] https://koji.fedoraproject.org/koji/taskinfo?taskID=75604262

Comment 6 Fedora Update System 2021-09-13 14:21:53 UTC
FEDORA-2021-a95cc26ec3 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a95cc26ec3

Comment 7 Fedora Update System 2021-09-13 14:21:53 UTC
FEDORA-2021-a95cc26ec3 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a95cc26ec3

Comment 8 Fedora Update System 2021-09-13 16:15:04 UTC
FEDORA-2021-a95cc26ec3 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a95cc26ec3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a95cc26ec3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 247 2021-09-13 18:45:02 UTC
hello, i will do further tests later, and tomorrow but it seems that the fix, fixed finally my issue, thank you...

Comment 10 Milan Crha 2021-09-15 06:28:03 UTC
Did you have time to look on it, please? The f34 scratch build will be deleted soon.

Comment 11 247 2021-09-15 07:15:58 UTC
Yes, i just wanted to wait a little more to see if this was really the fix or just a mere coincidence

Anyway after installing and unistalling apps for a day i can tell you this is the solution to my problem

Also i sent the patch to another user with the same problem, and says the patch solved his issue too, so i guess that's it

Now i'm guessing it should be released as update for f34 also...

Comment 12 Milan Crha 2021-09-15 07:44:08 UTC
I see, thanks for the confirmation and your help with this. I'm going to create the update.

Comment 13 Fedora Update System 2021-09-15 08:10:09 UTC
FEDORA-2021-83d71aa58a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-83d71aa58a

Comment 14 Fedora Update System 2021-09-15 19:06:03 UTC
FEDORA-2021-83d71aa58a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-83d71aa58a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-83d71aa58a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-09-16 23:54:41 UTC
FEDORA-2021-a95cc26ec3 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-09-20 13:55:57 UTC
FEDORA-2021-83d71aa58a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.